Subject: Re: [bug#43361] [PATCH] doc: Mention config.scm in reconfigure description

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Sep 2020 09:25:15 +0200

Hi,

Julien Lepiller <[email-masked]> skribis:

> Le 13 septembre 2020 17:10:30 GMT-04:00, "Ludovic Courtès" <[email-masked]> a écrit :
>>Hi,
>>
>>Julien Lepiller <[email-masked]> skribis:
>>
>>> this patch is a small change to the manual that should help at least
>>> one confused user from
>>>
>>https://unix.stackexchange.com/questions/550597/what-is-the-file-to-be-specified-in-guix-system-reconfigure
>>>
>>>>From dfa9439efbf1de7ffe281dac330a19c1e369e5d8 Mon Sep 17 00:00:00
>>2001
>>> From: Julien Lepiller <[email-masked]>
>>> Date: Sat, 12 Sep 2020 21:46:57 +0200
>>> Subject: [PATCH] doc: Mention config.scm in reconfigure description
>>>
>>> * doc/guix.texi (Invoking guix system): Mention `/etc/config.scm' in
>>the
>>> description of guix system reconfigure.
>>> ---
>>>  doc/guix.texi | 8 ++++----
>>>  1 file changed, 4 insertions(+), 4 deletions(-)
>>>
>>> diff --git a/doc/guix.texi b/doc/guix.texi
>>> index a6e14ea177..c10387441e 100644
>>> --- a/doc/guix.texi
>>> +++ b/doc/guix.texi
>>> @@ -28919,10 +28919,10 @@ As for @command{guix package --search}, the
>>result is written in
>>>  (@pxref{Top, GNU recutils databases,, recutils, GNU recutils
>>manual}).
>>>  
>>>  @item reconfigure
>>> -Build the operating system described in @var{file}, activate it, and
>>> -switch to it@footnote{This action (and the related actions
>>> -@code{switch-generation} and @code{roll-back}) are usable only on
>>> -systems already running Guix System.}.
>>> +Build the operating system described in @var{file} (typically
>>> +@file{/etc/config.scm}), activate it, and switch to it@footnote{This
>>action
>>> +(and the related actions @code{switch-generation} and
>>@code{roll-back}) are
>>> +usable only on systems already running Guix System.}.
>>
>>Perhaps “(typically @file{/etc/config.scm})” should go next to
>>“@var{file} must be …”?
>>
>>But if the person doesn’t read more than a few lines of the page, it
>>won’t help.
>>
>>I was thinking we could have “guix system reconfigure” without
>>arguments
>>pick up /run/current-system/configuration.scm.  Perhaps that’d help?
>
> I think it would be even more confusing, because that file isn't even editable. So you'de get users thinking they must re-install the distro to change that file.

I mean you could still pass a file as an argument, but if you don’t,
it’d pick that one.

> Others would eventually find /etc/config.scm and not pass it as argument, then get their system reconfigured to something different than what they specified.
>
> Maybe it should be "e.g. /etc/config, initially generated by the graphical installer" or something?

I think “typically /etc/config.scm” is enough (and more accurate),
dunno.

Ludo’.